Zum Inhalt springen
Deutsch

Ordner und Zähler

GET/v1/mailboxes/{mailbox_id}/folders

Gibt eine Liste von Ordnern, die Anzahl der E-Mails total, die Anzahl ungelesener Nachrichten unread und den Wert uidvalidity für jeden Ordner zurück. Verwenden Sie den Ordnernamen und uidvalidity in Abfragen zu seinen Buchstaben.

Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen

Anfrage

Terminal-Fenster
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \
-H 'Authorization: Bearer <access_token>'

Optionen

mailbox_idpathUnbedingt

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Antworten

200 Erfolgreiche Antwort

application/json

array

Array-Elemente

object

name

string

flags

array

Array-Elemente

string

total

integer

unread

integer

uidvalidity

integer

401 Anmeldung erforderlich

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

403 Kein Zugriff

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

404 Ressource nicht gefunden

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

409 Staatskonflikt

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object

422 Validierungsfehler

application/json

object

detail

array

Array-Elemente

object

locUnbedingt

array

Array-Elemente
Option 1

string

Option 2

integer

msgUnbedingt

string

typeUnbedingt

string

503 Vorübergehende Nichtverfügbarkeit

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array-Elemente

object